flext_stk Class Reference

`#include <flstk.h>`

Inheritance diagram for flext_stk:

## Classes

class | Input
| STK object for reading from inlet buffer. More...
class | Output
| STK object for writing to outlet buffer. More...

## Public Types

typedef flext_stk | thisType
typedef flext_dsp | thisParent
Public Types inherited from flext_dsp
typedef flext_dsp | thisType
typedef flext_base | thisParent
typedef t_sample * | t_signalvec
| typedef describing a signal vector
Public Types inherited from flext_base
enum | { a_null = 0 , a_float , a_int , a_bool , a_symbol , a_pointer , a_list , a_any , a_LIST , a_ANY }
enum | { xlet_none = 0 , xlet_float , xlet_int , xlet_sym , xlet_list , xlet_any , xlet_LIST , xlet_ANY , xlet_sig }
typedef bool(* | methfun) (flext_base *c)
typedef TablePtrMap< const t_symbol *, Item *, 8 > | TablePtrMapDef

## Public Member Functions

| flext_stk ()
virtual bool | NewObjs ()
virtual void | FreeObjs ()
virtual void | ProcessObjs (int blocksize)
Public Member Functions inherited from flext_dsp
float | Samplerate () const
| returns current sample rate
int | Blocksize () const
| returns current block (aka vector) size
t_sample *const * | InSig () const
| returns array of input vectors (CntInSig() vectors)
t_sample * | InSig (int i) const
| returns input vector
t_sample *const * | OutSig () const
| returns array of output vectors (CntOutSig() vectors)
t_sample * | OutSig (int i) const
| returns output vector
virtual void | m_dsp (int n, t_signalvec const *insigs, t_signalvec const *outsigs)
| Deprecated method for CbSignal.
virtual void | m_signal (int n, t_sample *const *insigs, t_sample *const *outsigs)
| Deprecated method for CbSignal.
void | AddInSignal (int m=1)
| Add signal inlet(s).
void | AddInSignal (const char *desc)
| Add signal inlet (with description).
void | AddOutSignal (int m=1)
| Add signal outlet(s).
void | AddOutSignal (const char *desc)
| Add signal outlet (with description).
Public Member Functions inherited from flext_base
virtual void | CbLoadbang ()
| called on patcher load (not on mere object creation!)
virtual void | m_loadbang ()
virtual void | CbClick ()
| called on (double-)click into object box
virtual bool | CbMethodHandler (int inlet, const t_symbol *s, int argc, const t_atom *argv)
| Called for every incoming message. All method handling is done in there.
virtual bool | CbMethodResort (int inlet, const t_symbol *s, int argc, const t_atom *argv)
| Called for every unhandled message (by CbMethodHandler).
virtual bool | m_method_ (int inlet, const t_symbol *s, int argc, const t_atom *argv)
virtual bool | CbIdle ()
void | AddInAnything (int m=1)
| Add inlet(s) for anythings.
void | AddInAnything (const char *desc, int m=1)
| Add inlet(s) for anythings (with description).
void | AddInFloat (int m=1)
| Add inlet(s) for floats.
void | AddInFloat (const char *desc, int m=1)
| Add inlet(s) for floats (with description).
void | AddInInt (int m=1)
| Add inlet(s) for integers.
void | AddInInt (const char *desc, int m=1)
| Add inlet(s) for integers (with description).
void | AddInSymbol (int m=1)
| Add inlet(s) for symbols.
void | AddInSymbol (const char *desc, int m=1)
| Add inlet(s) for symbol (with description).
void | AddInBang (int m=1)
| Add inlet(s) for bang.
void | AddInBang (const char *desc, int m=1)
| Add inlet(s) for bangs (with description).
void | AddInList (int m=1)
| Add inlet(s) for lists.
void | AddInList (const char *desc, int m=1)
| Add inlet(s) for lists (with description).
void | AddOutAnything (int m=1)
| Add outlet(s) for anythings.
void | AddOutAnything (const char *desc, int m=1)
| Add outlet(s) for anythings (with description).
void | AddOutFloat (int m=1)
| Add outlet(s) for floats.
void | AddOutFloat (const char *desc, int m=1)
| Add outlet(s) for floats (with description).
void | AddOutInt (int m=1)
| Add outlet(s) for integers.
void | AddOutInt (const char *desc, int m=1)
| Add outlet(s) for integers (with description).
void | AddOutSymbol (int m=1)
| Add outlet(s) for symbols.
void | AddOutSymbol (const char *desc, int m=1)
| Add outlet(s) for symbols (with description).
void | AddOutBang (int m=1)
| Add outlet(s) for bangs.
void | AddOutBang (const char *desc, int m=1)
| Add outlet(s) for bangs (with description).
void | AddOutList (int m=1)
| Add outlet(s) for lists.
void | AddOutList (const char *desc, int m=1)
| Add outlet(s) for lists (with description).
bool | SetupInOut ()
int | CntIn () const
| Get number of inlets.
int | CntOut () const
| Get number of outlets.
int | CntInSig () const
| Get number of signal inlets.
int | CntOutSig () const
| Get number of signal outlets.
outlet * | GetOut (int ix) const
| Get pointer to outlet (not in the constructor!).
int | GetOutAttr () const
void | ToOutBang (int n) const
| Output bang (index n starts with 0).
void | ToOutFloat (int n, float f) const
| Output float (index n starts with 0).
void | ToOutInt (int n, int f) const
| Output integer (index n starts with 0).
void | ToOutBool (int n, bool f) const
| Output boolean (index n starts with 0).
void | ToOutDouble (int n, double d) const
| Output double (index n starts with 0).
void | ToOutSymbol (int n, const t_symbol *s) const
| Output symbol (index n starts with 0).
void | ToOutString (int n, const char *s) const
| Output string aka symbol (index n starts with 0).
void | ToOutAtom (int n, const t_atom &at) const
| Output atom (index n starts with 0).
void | ToOutList (int n, int argc, const t_atom *argv) const
| Output list (index n starts with 0).
void | ToOutList (int n, const AtomList &list) const
| Output list (index n starts with 0).
void | ToOutAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
| Output anything (index n starts with 0).
void | ToOutAnything (int n, const AtomAnything &any) const
| Output anything (index n starts with 0).
void | ToOutAnything (int n, const t_symbol *s, const AtomList &list) const
| Output anything (index n starts with 0).
void | ToQueueBang (int n) const
| Output low priority bang (index n starts with 0).
void | ToQueueFloat (int n, float f) const
| Output low priority float (index n starts with 0).
void | ToQueueInt (int n, int f) const
| Output low priority integer (index n starts with 0).
void | ToQueueBool (int n, bool f) const
| Output low priority boolean (index n starts with 0).
void | ToQueueDouble (int n, double d) const
| Output double (index n starts with 0).
void | ToQueueSymbol (int n, const t_symbol *s) const
| Output low priority symbol (index n starts with 0).
void | ToQueueString (int n, const char *s) const
| Output low priority string aka symbol (to appointed outlet).
void | ToQueueAtom (int n, const t_atom &at) const
| Output low priority atom (index n starts with 0).
void | ToQueueList (int n, int argc, const t_atom *argv) const
| Output low priority list (index n starts with 0).
void | ToQueueList (int n, const AtomList &list) const
| Output low priority list (index n starts with 0).
void | ToQueueAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
| Output low priority anything (index n starts with 0).
void | ToQueueAnything (int n, const AtomAnything &any) const
| Output low priority anything (index n starts with 0).
void | ToSelfBang (int n) const
| Send bang to self (inlet n).
void | ToSelfFloat (int n, float f) const
| Send float to self (inlet n).
void | ToSelfInt (int n, int f) const
| Send integer to self (inlet n).
void | ToSelfBool (int n, bool f) const
| Send boolean to self (inlet n).
void | ToSelfDouble (int n, double d) const
| Send double to self (index n starts with 0).
void | ToSelfSymbol (int n, const t_symbol *s) const
| Send symbol to self (inlet n).
void | ToSelfString (int n, const char *s) const
| Send string aka symbol to self (inlet 0).
void | ToSelfAtom (int n, const t_atom &at) const
| Output atom (index n starts with 0).
void | ToSelfList (int n, int argc, const t_atom *argv) const
| Send list to self (inlet n).
void | ToSelfList (int n, const AtomList &list) const
| Send list to self (inlet n).
void | ToSelfAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
| Send anything to self (inlet n).
void | ToSelfAnything (int n, const AtomAnything &any) const
| Send anything to self (inlet n).
void | MsgAddBang (MsgBundle *mb, int n) const
| Output bang (index n starts with 0).
void | MsgAddFloat (MsgBundle *mb, int n, float f) const
| Output float (index n starts with 0).
void | MsgAddInt (MsgBundle *mb, int n, int f) const
| Output integer (index n starts with 0).
void | MsgAddBool (MsgBundle *mb, int n, bool f) const
| Output boolean (index n starts with 0).
void | MsgAddDouble (MsgBundle *mb, int n, double d) const
| Output double (index n starts with 0).
void | MsgAddSymbol (MsgBundle *mb, int n, const t_symbol *s) const
| Output symbol (index n starts with 0).
void | MsgAddString (MsgBundle *mb, int n, const char *s) const
| Output string aka symbol (to appointed outlet).
void | MsgAddAtom (MsgBundle *mb, int n, const t_atom &at) const
| Output atom (index n starts with 0).
void | MsgAddList (MsgBundle *mb, int n, int argc, const t_atom *argv) const
| Output list (index n starts with 0).
void | MsgAddList (MsgBundle *mb, int n, const AtomList &list) const
| Output list (index n starts with 0).
void | MsgAddAnything (MsgBundle *mb, int n, const t_symbol *s, int argc, const t_atom *argv) const
| Output anything (index n starts with 0).
void | MsgAddAnything (MsgBundle *mb, int n, const AtomAnything &any) const
| Output anything (index n starts with 0).
void | MsgSelfBang (MsgBundle *mb, int n) const
void | MsgSelfFloat (MsgBundle *mb, int n, float f) const
| Send float to self (inlet n).
void | MsgSelfInt (MsgBundle *mb, int n, int f) const
| Send integer to self (inlet n).
void | MsgSelfBool (MsgBundle *mb, int n, bool f) const
| Send boolean to self (inlet n).
void | MsgSelfDouble (MsgBundle *mb, int n, double d) const
| Output double (index n starts with 0).
void | MsgSelfSymbol (MsgBundle *mb, int n, const t_symbol *s) const
| Send symbol to self (inlet n).
void | MsgSelfString (MsgBundle *mb, int n, const char *s) const
| Send string aka symbol to self (inlet 0).
void | MsgSelfAtom (MsgBundle *mb, int n, const t_atom &at) const
| Output atom (index n starts with 0).
void | MsgSelfList (MsgBundle *mb, int n, int argc, const t_atom *argv) const
| Send list to self (inlet n).
void | MsgSelfList (MsgBundle *mb, int n, const AtomList &list) const
| Send list to self (inlet n).
void | MsgSelfAnything (MsgBundle *mb, int n, const t_symbol *s, int argc, const t_atom *argv) const
| Send anything to self (inlet n).
void | MsgSelfAnything (MsgBundle *mb, int n, const AtomAnything &any) const
| Send anything to self (inlet n).
void | AddMethodDef (int inlet, const t_symbol *tag=NULL)
void | AddMethodDef (int inlet, const char *tag=NULL)
void | AddMethod (int inlet, bool(*m)(flext_base *))
void | AddMethod (int inlet, bool(*m)(flext_base *, int, t_atom *))
void | AddMethod (int inlet, bool(*m)(flext_base *, int, const t_atom *))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *))
void | AddMethod (int inlet, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
void | AddMethod (int inlet, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
void | AddMethod (int inlet, bool(*m)(flext_base *, t_symbol *&))
void | AddMethod (int inlet, bool(*m)(flext_base *, const t_symbol *&))
void | AddMethod (int inlet, bool(*m)(flext_base *, float &))
void | AddMethod (int inlet, bool(*m)(flext_base *, float &, float &))
void | AddMethod (int inlet, bool(*m)(flext_base *, float &, float &, float &))
void | AddMethod (int inlet, bool(*m)(flext_base *, int &))
void | AddMethod (int inlet, bool(*m)(flext_base *, int &, int &))
void | AddMethod (int inlet, bool(*m)(flext_base *, int &, int &, int &))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, int, t_atom *))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, int, const t_atom *))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, t_symbol *&))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, const t_symbol *&))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, float &))
void | AddMethod (int inlet, const t_symbol *tag, bool(*m)(flext_base *, int &))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, int, t_atom *))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, int, const t_atom *))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, t_symbol *&))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, const t_symbol *&))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, float &))
void | AddMethod (int inlet, const char *tag, bool(*m)(flext_base *, int &))
void | AddIdle ()
bool | DoDist () const
| Query whether lists are distributed.
bool | Bind (const t_symbol *sym)
| Bind object to a symbol.
bool | Unbind (const t_symbol *sym)
| Unbind object from a symbol.
bool | Bind (const char *sym)
| Bind object to a symbol (as string).
bool | Unbind (const char *sym)
| Unbind object from a symbol (as string).
bool | BindMethod (const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data), void *data=NULL)
| Bind a method to a symbol.
bool | UnbindMethod (const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data)=NULL, void **data=NULL)
| Unbind a method from a symbol.
bool | GetBoundMethod (const t_symbol *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data), void *&data)
| Get data of bound method of a symbol.
bool | BindMethod (const char *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data), void *data=NULL)
| Bind a method to a symbol (as string).
bool | UnbindMethod (const char *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data)=NULL, void **data=NULL)
| Unbind a method from a symbol (as string).
bool | GetBoundMethod (const char *sym, bool(*meth)(flext_base *obj, t_symbol *sym, int argc, t_atom *argv, void *data), void *&data)
| Get data of bound method of a symbol (as string).
bool | UnbindAll ()
bool | StartThread (void(*meth)(thr_params *p), thr_params *p, const char *=NULL)
| Start a thread for this object.
bool | StopThreads ()
| Terminate all threads of this object.
void | ToSysBang (int n) const
void | ToSysFloat (int n, float f) const
void | ToSysInt (int n, int f) const
void | ToSysSymbol (int n, const t_symbol *s) const
void | ToSysString (int n, const char *s) const
void | ToSysList (int n, int argc, const t_atom *argv) const
void | ToSysList (int n, const AtomList &list) const
void | ToSysAnything (int n, const t_symbol *s, int argc, const t_atom *argv) const
void | ToSysAnything (int n, const AtomAnything &any) const
void | ToSysAnything (int n, const t_symbol *s, const AtomList &list) const
void | ToSysBool (int n, bool f) const
void | ToSysAtom (int n, const t_atom &at) const
void | ToSysDouble (int n, double d) const
ItemCont * | ThMeths ()
ItemCont * | ThAttrs ()
void | AddAttrib (const t_symbol *attr, int tp, methfun gfun, methfun sfun)

## Static Public Member Functions

static flext_obj * | __init__ (int argc, t_atom *argv)
static void | __free__ (flext_hdr *hdr)
static void | __setup__ (flext_obj::t_classid classid)
Static Public Member Functions inherited from flext_dsp
static flext_obj * | __init__ (int argc, t_atom *argv)
static void | __free__ (flext_hdr *hdr)
static void | __setup__ (flext_obj::t_classid classid)
Static Public Member Functions inherited from flext_base
static const t_symbol * | thisTag ()
| Retrieve currently processed message tag (NULL if no message processing).
static void | SetDist (t_classid c, bool d=true)
| Set Max/MSP style of distributing list elements over (message) inlets.
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, t_symbol *&))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, const t_symbol *&))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, float &))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, float &, float &))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, float &, float &, float &))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, int &))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, int &, int &))
static void | AddMethod (t_classid c, int inlet, bool(*m)(flext_base *, int &, int &, int &))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, t_symbol *&))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, const t_symbol *&))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, float &))
static void | AddMethod (t_classid c, int inlet, const t_symbol *tag, bool(*m)(flext_base *, int &))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, t_symbol *, int, t_atom *))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, const t_symbol *, int, const t_atom *))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, t_symbol *&))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, const t_symbol *&))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, float &))
static void | AddMethod (t_classid c, int inlet, const char *tag, bool(*m)(flext_base *, int &))
static void | AddIdle (bool(*idlefun)(int argc, const t_atom *argv), int argc, const t_atom *argv)
static void | ToSysMsg (MsgBundle *mb)
static void | AddMessageMethods (t_class *c, bool dsp, bool dspin)
static ItemCont * | ClMeths (t_classid c)
static void | AddMethod (ItemCont *ma, int inlet, const t_symbol *tag, methfun fun, int tp,...)
| This is the central function to add message handlers. It is used by all other AddMethod incarnations.
static ItemCont * | ClAttrs (t_classid c)
static void | AddAttrib (ItemCont *aa, ItemCont *ma, const t_symbol *attr, int tp, methfun gfun, methfun sfun)
| Add get and set attributes.
static void | AddAttrib (t_classid c, const t_symbol *attr, int tp, methfun gfun, methfun sfun)

## Protected Member Functions

virtual bool | Init ()
| Set up inlets and outlets, method and attribute lists.
virtual void | Exit ()
| Deallocate all kinds of stuff.
Input & | Inlet (int ix)
Output & | Outlet (int ix)
Protected Member Functions inherited from flext_dsp
| flext_dsp ()
Protected Member Functions inherited from flext_base
| flext_base ()
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
void | AddAttrib (const t_symbol *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
void | AddAttrib (const char *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))
bool | DumpAttrib (const t_symbol *attr) const
| Dump an attribute to the attribute outlet.
bool | DumpAttrib (const char *attr) const
| Dump an attribute to the attribute outlet.
bool | ListAttrib () const
| List attributes.
void | ListAttrib (AtomList &a) const
| List attributes.
bool | GetAttrib (const t_symbol *s, AtomList &a) const
| Get an attribute value.
bool | SetAttrib (const t_symbol *s, int argc, const t_atom *argv)
| Set an attribute value.
bool | SetAttrib (const t_symbol *s, const AtomList &a)
| Set an attribute value.
bool | BangAttrib (const t_symbol *a)
bool | BangAttrib (const char *a)
bool | BangAttribAll ()
bool | ShowAttrib (const t_symbol *a, bool show) const
bool | ShowAttrib (const char *a, bool show)
void | ListMethods (AtomList &a, int inlet=0) const
| List methods.
unsigned long | XletCode (int tp=xlet_none,...)
| get a code for a list of inlets or outlets
void | AddInlets (unsigned long code)
| Add some inlets by a special code representing the types.
void | AddInlet (int tp, int mult=1, const char *desc=NULL)
| Add one or more inlet(s).
void | AddOutlets (unsigned long code)
| Add some inlets by a special code representing the types.
void | AddOutlet (int tp, int mult=1, const char *desc=NULL)
| Add one or more outlet(s).
void | DescInlet (int ix, const char *desc)
| Set the description of an indexed inlet.
void | DescOutlet (int ix, const char *desc)
| Set the description of an indexed outlet.

## Private Member Functions

virtual bool | CbDsp ()
| Called on every dsp init.
virtual void | CbSignal ()
| Called with every signal vector - here you do the dsp calculation flext_dsp::CbSignal fills all output vectors with silence.
void | ClearObjs ()

## Private Attributes

int | inobjs
int | outobjs
Input ** | inobj
Output ** | outobj
float | smprt
int | blsz

## Additional Inherited Members

Static Protected Member Functions inherited from flext_base
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
static void | AddAttrib (t_classid c, const t_symbol *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, float &), bool(*set)(flext_base *, float &))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, int &), bool(*set)(flext_base *, int &))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, bool &), bool(*set)(flext_base *, bool &))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, const t_symbol *&), bool(*set)(flext_base *, const t_symbol *&))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, t_symptr &), bool(*set)(flext_base *, t_symptr &))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, AtomList *&), bool(*set)(flext_base *, AtomList *&))
static void | AddAttrib (t_classid c, const char *attr, bool(*get)(flext_base *, AtomAnything *&), bool(*set)(flext_base *, AtomAnything *&))
static int | CheckAttrib (int argc, const t_atom *argv)
static int | CheckAttrib (const AtomList &args, int offset=0)

## Member Typedef Documentation

## thisParent

typedef flext_dsp flext_stk::thisParent

## thisType

typedef flext_stk flext_stk::thisType

## Constructor & Destructor Documentation

## flext_stk()

flext_stk::flext_stk | ( |  | ) |

## Member Function Documentation

## __free__()

void flext_stk::__free__ | ( | flext_hdr * | hdr | ) |

inline static

## __init__()

flext_obj * flext_stk::__init__ | ( | int | argc,
|  | t_atom * | argv )

static

## __setup__()

void flext_stk::__setup__ | ( | flext_obj::t_classid | classid | ) |

inline static

## CbDsp()

bool flext_stk::CbDsp | ( |  | ) |

private virtual

Called on every dsp init.

Note
  Don't expect any valid data in the signal vectors! flext_dsp::CbDsp should not be called by the derived class

Returns
  true (default)... use DSP, false, don't use DSP

Reimplemented from flext_dsp.

## CbSignal()

void flext_stk::CbSignal | ( |  | ) |

private virtual

Called with every signal vector - here you do the dsp calculation flext_dsp::CbSignal fills all output vectors with silence.

Reimplemented from flext_dsp.

## ClearObjs()

void flext_stk::ClearObjs | ( |  | ) |

private

## Exit()

void flext_stk::Exit | ( |  | ) |

protected virtual

Deallocate all kinds of stuff.

This virtual function is called before the destructor. We do this because here we can still call virtual methods.

Reimplemented from flext_dsp.

## FreeObjs()

virtual void flext_stk::FreeObjs | ( |  | ) |

inline virtual

## Init()

bool flext_stk::Init | ( |  | ) |

protected virtual

Set up inlets and outlets, method and attribute lists.

This virtual function is called after the object has been created, that is, after the constructor has been processed. It creates the inlets and outlets and the message and attribute lists.

Note
  You can override it in your own class, but be sure to call it,
  otherwise no inlets/outlets will be created
  All inlet, outlets, method and attribute declarations must be made before a call to Init!

Remarks
  Creation of inlets/outlets can't be done upon declaration, as Max/MSP needs creation
  in reverse.

Reimplemented from flext_base.

## Inlet()

Input & flext_stk::Inlet | ( | int | ix | ) |

inline protected

## NewObjs()

virtual bool flext_stk::NewObjs | ( |  | ) |

inline virtual

## Outlet()

Output & flext_stk::Outlet | ( | int | ix | ) |

inline protected

## ProcessObjs()

virtual void flext_stk::ProcessObjs | ( | int | blocksize | ) |

inline virtual

## Member Data Documentation

## blsz

int flext_stk::blsz

private

## inobj

Input** flext_stk::inobj

private

## inobjs

int flext_stk::inobjs

private

## outobj

Output** flext_stk::outobj

private

## outobjs

int flext_stk::outobjs

private

## smprt

float flext_stk::smprt

private

The documentation for this class was generated from the following files:

- flstk.h
- flstk.cpp